[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# FileRec

Record describing an untyped file

## Declaration

Source position: filerec.inc line 26

`type FileRec = packed record`
`Handle: THandle;` |  | OS file handle
`Mode: LongInt;` |  | File open mode
`RecSize: SizeInt;` |  | Size of a record (in bytes)
`_private: array [1..3*SizeOf(SizeInt)+5*SizeOf(pointer)] of Byte;` |  | Private data, do not use
`UserData: array [1..32] of Byte;` |  | User data, for implementing a user driver.
`name: array [0..filerecnamelength] of Char;` |  | File name
`end;`

## Description

FileRec is used for internal representation of typed and untyped files.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.